
/*****************************************************************************/
/* GLOBAL.H                                                                  */
/*									     */
/* Copyright (c) Moxa Technologies Inc. 1999. All Rights Reserved.	     */
/*									     */
/* Revision history:							     */
/*    08/05/99   Casper                                                      */
/*    03/01/01   Casper  Add Industio                                        */
/*    03/20/03   George  Modified to support PC104 Communication Module      */
/*****************************************************************************/

#ifndef _GLOBAL_H
#define _GLOBAL_H

#define		MXPCDRV_PORTS_PER_BOARD	8
#define 	MXPCDRV_BOARDS		4	/* Max. boards */

#define         MXPCDRV_MAXPORT   (MXPCDRV_PORTS_PER_BOARD * MXPCDRV_BOARDS)

#define		MOXA	0x400
#define		MOXA_GET_CONF	(MOXA + 35)

#ifndef		B921600
#define		B921600 (B460800 + 1)
#endif

#ifndef		CMSPAR
#define		CMSPAR 010000000000 /* mark/space parity */
#endif

#define		BOARD_TYPE	6 /* modified by George Liu 03-20-2003 */

typedef struct _moxa_pci_info{
	unsigned short busNum;
	unsigned short devNum;
} moxa_pci_info;

struct mxpcdrv_hwconf{
	int	board_type;
	int	ports;
	int	irq;
	int	vector;
	int	vector_mask;
	int	uart_type;
	int	ioaddr[MXPCDRV_PORTS_PER_BOARD];
	int	baud[MXPCDRV_PORTS_PER_BOARD];
	moxa_pci_info pciInfo;
	int	IsMoxaMustChipFlag;
	int	MaxCanSetBaudRate[MXPCDRV_PORTS_PER_BOARD];
};

enum	{
	MXPCDRV_BOARD_CA104 = 1,
	MXPCDRV_BOARD_CA132,
        MXPCDRV_BOARD_CA132I,
  MXPCDRV_BOARD_CA108,
  MXPCDRV_BOARD_CA114,
  MXPCDRV_BOARD_CA134I
};

extern  char *mxpcdrv_brdname[];
extern  int  mxpcdrv_numports[];


#endif
